#version 120

#include "/video.glsl"

uniform float frameTimeCounter;

varying vec4 texcoord;
varying float time;

void main() 
{
	vec4 position = gl_Vertex;
	position = gl_ProjectionMatrix * position;
	gl_Position = position;

	texcoord = gl_TextureMatrix[0] * gl_MultiTexCoord0;
	time = frameTimeCounter;
}